/* gdkDPSfont.h --- DPS fonts representation in gdk
 * 
 * This file is derived from gtkDPSfontpanel.h by 
 * Masatake YAMATO<masata-y@is.aist-nara.ac.jp>.
 *
 * Copyright (C) 1998 Hideki FUJIMOTO
 *
 * Author: Hideki FUJIMOTO <hideki70@osk2.3web.ne.jp>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef GDK_DPS_FONT_H
#define GDK_DPS_FONT_H 

#include <glib.h>
#include <stdio.h>

typedef struct _GdkDPSTypeFace GdkDPSTypeFace;
struct _GdkDPSTypeFace
{
  gchar * type_face;
  gchar * font_name;
};

typedef struct _GdkDPSFont GdkDPSFont;
struct _GdkDPSFont
{
  gchar * family;
  GSList * type_faces_list;
};

GSList * gdk_dps_fonts_raw_list_new (void);
void gdk_dps_fonts_raw_list_dump (GSList * list, FILE * to);

GSList * gdk_dps_fonts_list_new (void);
void gdk_dps_fonts_list_destroy (GSList *);
void gdk_dps_fonts_list_dump (GSList * list, FILE * to);

#endif /* Not def: GDK_DPS_FONT_H */
